package org.Hello;

import java.util.Set;
import javax.persistence.*;

@Entity
@Table(name="KONTO")
public class Account {
  @Id
  @Column(name="KONTO_NR")
  private int accountNo;
  private String name;
  @OneToMany(fetch=FetchType.LAZY, mappedBy="account")
  private Set<Payment> payments;

  public int getAccountNo() { return accountNo; }
  public String getName() { return name; }
  public Set<Payment> getPayments() { return payments; }
  public void addPayment(Payment p) { payments.add(p); }

  public Account(int no, String nm) {
    accountNo = no;
    name = nm;
  }
}
